Subject: Re: [OPSAWG] I-D Action:draft-mizrahi-opsawg-oam-overview-00.txt

From: "David Harrington" <[email-masked]>
Date: Wed, 7 Oct 2009 15:11:13 -0400

Hi,

Interesting that none of the IETF standards developed in the
Operations and Management Area have even been mentioned in this
document. I would think that, at least, a discussion of why they are
not included would be called for in an OPSAWG document.

Don't mistake my intent here. I think a document that describes OAM
from the perspectives of other SDOs - and other areas in the IETF -
could be very helpful to people in the IETF, especially those working
in the OPS area. 

But the selection of IETF OAM technologies presented are not the
primary IETF style for Internet Operations and Management, so this
document seems misleading when it claims:

   This document presents an overview of the OAM mechanisms that have
   been defined and are currently being defined by the IETF, as well
as
   a comparison to other OAM mechanisms that have been defined by the
   IEEE and ITU-T.

I think that, at a minimum, RFC1052 "IAB recommendations for the
development of Internet network management standards" which documents
the basis for the SNMP/MIB approach, and RFC3410 "Introduction and
Applicability Statements for Internet-Standard Management Framework"
which documents the Internet Standard Management Framework, and
RFC3535 "Overview of the 2002 IAB Network Management Workshop" which
documents the basis for standardized configuration, in the style of
netconf, deserve to be mentioned.

And these three don't include discussion of AAA, flow monitoring,
system logging, etc., all of which are important to IETF-style
operations and management.

I repeat my opinion - a discussion of why none of these are included
is called for in an OPSAWG document. (and I do not find the
informative reference to the oam-defs document that asserts "OAM and
management are different" to be sufficient.) At a minimum, if the defs
document is going to redefine how the IETF approaches O&M, then the
defs document needs much more work and it needs to be a normative, not
an informative, reference in this document.

dbh 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: Wednesday, October 07, 2009 9:30 AM
> To: [email-masked]
> Subject: I-D Action:draft-mizrahi-opsawg-oam-overview-00.txt 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 	Title           : An Overview of Operations, 
> Administration, and Maintenance (OAM) Mechanisms
> 	Author(s)       : T. Mizrahi
> 	Filename        : draft-mizrahi-opsawg-oam-overview-00.txt
> 	Pages           : 22
> 	Date            : 2009-10-07
> 
> Operations, Administration, and Maintenance (OAM) is a general term
> that refers to detecting and reporting link failures. OAM mechanisms
> have been defined for various layers in the protocol stack, and are
> used with a variety of protocols.
> 
> This document presents an overview of the OAM mechanisms that have
> been defined and are currently being defined by the IETF, as well as
> a comparison to other OAM mechanisms that have been defined by the
> IEEE and ITU-T.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-mizrahi-opsawg-oam-o
> verview-00.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 14 Oct 2009 13:03:38 +0200

I am even more surprised by the non-inclusion of the MPLS OAM work which
was developped in the Routing Area - RFC 3429, RFC 4377, RFC 4388, RFC
4687, as well as of the more recent OAM work for MPLS-TP. 

Maybe this is just a temporary omission and these will be added later.
May I ask the author what are his plans and proposals related to this
document? 

Thanks and Regards,

Dan

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David Harrington
> Sent: Wednesday, October 07, 2009 9:11 PM
> To: [email-masked]
> Subject: Re: [OPSAWG] I-D 
> Action:draft-mizrahi-opsawg-oam-overview-00.txt
> 
> Hi,
> 
> Operations and Management Area have even been mentioned in 
> this document. I would think that, at least, a discussion of 
> why they are not included would be called for in an OPSAWG document.
> 
> Don't mistake my intent here. I think a document that 
> describes OAM from the perspectives of other SDOs - and other 
> areas in the IETF - could be very helpful to people in the 
> IETF, especially those working in the OPS area. 
> 
> But the selection of IETF OAM technologies presented are not 
> the primary IETF style for Internet Operations and 
> Management, so this document seems misleading when it claims:
> 
> I think that, at a minimum, RFC1052 "IAB recommendations for 
> the development of Internet network management standards" 
> which documents the basis for the SNMP/MIB approach, and 
> RFC3410 "Introduction and Applicability Statements for 
> Internet-Standard Management Framework"
> RFC3535 "Overview of the 2002 IAB Network Management 
> Workshop" which documents the basis for standardized 
> configuration, in the style of netconf, deserve to be mentioned.
> 
> And these three don't include discussion of AAA, flow 
> monitoring, system logging, etc., all of which are important 
> to IETF-style operations and management.
> 
> I repeat my opinion - a discussion of why none of these are 
> included is called for in an OPSAWG document. (and I do not 
> find the informative reference to the oam-defs document that 
> asserts "OAM and management are different" to be sufficient.) 
> At a minimum, if the defs document is going to redefine how 
> the IETF approaches O&M, then the defs document needs much 
> more work and it needs to be a normative, not an informative, 
> reference in this document.
> 
> dbh 
> 
> > A New Internet-Draft is available from the on-line Internet-Drafts 
> > directories.
> > 
> > been defined and are currently being defined by the IETF, 
> as well as a 
> > comparison to other OAM mechanisms that have been defined 
> by the IEEE 
> > and ITU-T.
> > 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>